apiVersion: v1
kind: Service
metadata:
  name: web-admin
spec:
  ports:
    - name: web-admin
      port: 3000
      targetPort: 3000
      protocol: TCP
  selector:
    app: web-admin

---

apiVersion: apps/v1
kind: Deployment
metadata:
  name: web-admin
  labels:
    app: web-admin
spec:
  strategy:
    type: Recreate
  selector:
    matchLabels:
      app: web-admin
  template:
    metadata:
      labels:
        app: web-admin
    spec:
      containers:
        - name: wallet-api
          image: registry.gitlab.com/btf-ro/web-admin:$IMAGE_TAG
          imagePullPolicy: Always
          ports:
            - containerPort: 3000
      imagePullSecrets:
        - name: gitlab-registry
